=== debian/changelog ===
libubootenv (0.2-1) unstable; urgency=medium

  * Update to 0.2.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 31 Jan 2020 23:34:51 +0900

libubootenv (0.1-5) unstable; urgency=medium

  * Add Versioned Conflicts with u-boot-tools, as newer
    versions of u-boot-tools actually recommend libubootenv-tools.
    (Closes: #944644)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 02 Dec 2019 10:57:30 +0900

libubootenv (0.1-4) unstable; urgency=medium

  * Fix build reproducible. (Closes: #939547)
    Thanks, Chris Lamb.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 31 Oct 2019 17:25:10 +0900

libubootenv (0.1-3) unstable; urgency=medium

  * Use source upload.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 31 Oct 2019 16:56:35 +0900

libubootenv (0.1-2) unstable; urgency=medium

  * Add u-boot-tools Conflicts of libubootenv-tool (Closes: #939598)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 16 Sep 2019 06:30:21 +0900

libubootenv (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #929047)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 16 Apr 2019 09:48:44 +0900
