=== debian/control ===
Source: libubootenv
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Uploaders: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 11), cmake, zlib1g-dev, graphviz, doxygen
Standards-Version: 4.3.0
Section: utils
Homepage: https://github.com/sbabic/libubootenv
Vcs-Browser: https://salsa.debian.org/debian/libubootenv
Vcs-Git: https://salsa.debian.org/debian/libubootenv.git

Package: libubootenv-dev
Section: libdevel
Architecture: any
Depends: libubootenv0.1 (= ${binary:Version}), ${misc:Depends}
Suggests: libubootenv-doc
Multi-Arch: same
Description: Library to access U-Boot environment - development files
 libubootenv is a library that provides a hardware independent way to access
 to U-Boot environment. U-Boot has its default environment compiled
 board-dependently and this means that tools to access the environment are also
 board specific, too.
 .
 This package contains files that are needed to build applications.

Package: libubootenv0.1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Library to access U-Boot environment - runtime
 libubootenv is a library that provides a hardware independent way to access
 to U-Boot environment. U-Boot has its default environment compiled
 board-dependently and this means that tools to access the environment are also
 board specific, too.
 .
 This package includes the shared library.

Package: libubootenv-tool
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libubootenv0.1 (= ${binary:Version})
Multi-Arch: foreign
Conflicts: u-boot-tools (<< 2019.10)
Description: Library to access U-Boot environment - tool
 libubootenv is a library that provides a hardware independent way to access
 to U-Boot environment. U-Boot has its default environment compiled
 board-dependently and this means that tools to access the environment are also
 board specific, too.
 .
 This package contains files that is tool using libubootenv.

Package: libubootenv-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Library to access U-Boot environment - document
 libubootenv is a library that provides a hardware independent way to access
 to U-Boot environment. U-Boot has its default environment compiled
 board-dependently and this means that tools to access the environment are also
 board specific, too.
 .
 This package contains documentation for the libubootenv library.
