=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libubootenv-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/sbabic/libubootenv .*/v?(\d\S*)\.tar\.gz
