=== debian/changelog ===
libubootenv (0.3-2) unstable; urgency=medium

  [ Dave Jones ]
  * Added symbols for libubootenv0.1 (Closes: #969216)

  [ Bastian Germann ]
  * Compile with NDEBUG set (Closes: #985948)
  * Let libubootenv-dev depend on zlib1g-dev (Closes: #969026)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 06 Apr 2021 09:45:58 +0900

libubootenv (0.3-1) unstable; urgency=medium

  * Update to 0.3.
  * Remove d/patches.
    All patches are no longer needed.
  * Update d/libubootenv-dev.install.
    Add pkgconfig file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 24 Aug 2020 13:56:40 +0900

libubootenv (0.2-2) unstable; urgency=medium

  * update d/watch
    Use uscan's git mode, verifying OpenPGP. (Closes: #968282)
    Thanks to Bastian Germann <bage@linutronix.de>.
  * Fix build with dpkg-buildpackage on stable. (Closes: #967487)
    Thanks to Gylstorff Quirin <quirin.gylstorff@siemens.com>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 24 Aug 2020 13:42:43 +0900
