## libubootenv 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # The version number.
 # set (libubootenv_VERSION_MAJOR 1)
 # set (libubootenv_VERSION_MAJOR_VERSION_MINOR 0)
-set(VERSION	"0.3")
-SET(SOVERSION "${VERSION}")
+set(VERSION	"0.3.2")
+SET(SOVERSION "0")
 add_definitions(-DVERSION="${VERSION}")
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
