=== debian/changelog ===
libubootenv (0.3.2-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:13:48 +0100

libubootenv (0.3.2-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Add manpages based on u-boot-tools (Closes: #986361)

  [ Nobuhiro Iwamatsu ]
  * d/control:
    - Add Rules-Requires-Root: no
    - Use debhelper-compat instead of debhelper, and update to 13.
    - Bump Standards-Version to 4.6.0.1 (no change).
  * Remove d/compat.
  * Add d/upstream/metadata.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 14 Dec 2021 08:38:44 +0900

libubootenv (0.3.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.3.2 (Closes: #981642)
  * Update symbols for correct SOVERSION

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 04 May 2021 09:52:08 +0200

libubootenv (0.3-3) unstable; urgency=medium

  [ Andreas Henriksson ]
  * debian/rules: Remove unused variables
  * debian/rules: Remove CMAKE_VERBOSE_MAKEFILE, set by dh as needed
  * debian/rules: Drop non-existent BUILD_DOCS option
  * Define NDEBUG to avoid debug prints (Closes: #985948)
  * Add autopkgtest smoketest of fw_{print,set}env

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 11 Apr 2021 08:32:03 +0900
