=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: libubootenv
 Priority: optional
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 11), cmake, zlib1g-dev, graphviz, doxygen
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), cmake, zlib1g-dev, graphviz, doxygen
+Standards-Version: 4.6.0.1
 Section: utils
+Rules-Requires-Root: no
 Homepage: https://github.com/sbabic/libubootenv
 Vcs-Browser: https://salsa.debian.org/debian/libubootenv
 Vcs-Git: https://salsa.debian.org/debian/libubootenv.git
@@ -12,7 +14,7 @@
 Package: libubootenv-dev
 Section: libdevel
 Architecture: any
-Depends: libubootenv0.1 (= ${binary:Version}), ${misc:Depends}
+Depends: libubootenv0.1 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
 Suggests: libubootenv-doc
 Multi-Arch: same
 Description: Library to access U-Boot environment - development files
