=== debian/watch ===
version=4
opts=mode=git,pgpmode=gittag \
  https://github.com/sbabic/libubootenv.git refs/tags/v([\d\.]+)
