=== debian/changelog ===
libubootenv (0.3.5-0.1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:08:00 +0200

libubootenv (0.3.5-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 0.3.5 (Closes: #1020862)
  * d/control: Add libyaml-dev as new build dependency

 -- Gylstorff Quirin <quirin.gylstorff@siemens.com>  Tue, 12 Dec 2023 11:34:01 +0100
