=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, zlib1g-dev, graphviz, doxygen
+Build-Depends: debhelper-compat (= 13), cmake, zlib1g-dev, libyaml-dev, graphviz, doxygen
 Standards-Version: 4.6.0.1
 Section: utils
 Rules-Requires-Root: no
