=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# disable libubootenv debug prints, as these break fw_printenv output.
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG

CMAKE_FLAGS = \
	-DCMAKE_INSTALL_INCLUDEDIR="include/$(DEB_HOST_MULTIARCH)"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure \
		-- $(CMAKE_FLAGS)
